Wireshark 2.9.0-477-g68ec514b The Wireshark network protocol analyzer

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
pref_module Struct Reference

## Public Attributes
const char * | name
const char * | title
const char * | description
void(* | apply_cb )(void)
GList * | prefs
struct pref_module * | parent
wmem_tree_t * | submodules
int | numprefs
unsigned int | prefs_changed_flags
gboolean | obsolete
gboolean | use_gui
unsigned int | effect_flags

## Member Data Documentation

void(* pref_module::apply_cb) (void)

routine to call when preferences applied

const char* pref_module::description

Description of module (displayed in preferences notebook)

unsigned int pref_module::effect_flags

Flags of types effected by preference (PREF_TYPE_DISSECTION, PREF_EFFECT_CAPTURE, etc). These flags will be set in all module's preferences on creation. Flags must be non-zero to ensure saving to disk

const char* pref_module::name

name of module

int pref_module::numprefs

number of non-obsolete preferences

gboolean pref_module::obsolete

if TRUE, this is a module that used to exist but no longer does

struct pref_module* pref_module::parent

parent module

GList* pref_module::prefs

list of its preferences

unsigned int pref_module::prefs_changed_flags

Bitmask of the types of changes done by module preferences since we last checked

wmem_tree_t* pref_module::submodules

list of its submodules

const char* pref_module::title

title of module (displayed in preferences list)

gboolean pref_module::use_gui

Determines whether or not the module will use the generic GUI interface/APIs with the preference value or if its own independent GUI will be provided. This allows all preferences to have a common API for reading/writing, but not require them to use simple GUI controls to change the options. In general, the "general" Wireshark preferences should have this set to FALSE, while the protocol modules will have this set to TRUE

The documentation for this struct was generated from the following file:

- /home/wireshark/builders/wireshark-master/ubuntu-16.04-x64/build/epan/prefs-int.h